//---------------------------------------------------------------------------

#ifndef ViewerH
#define ViewerH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
#include "Trian.h"
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>


class TFrmMonitor : public TForm
{
__published:	// IDE-managed Components
  TMemo *Log;
  TButton *btnStart;
  TButton *Button2;
  TCheckBox *chkNoMCLog;
  TCheckBox *chkNoMTLog;
  TCheckBox *chkDrawPatches;
  TCheckBox *chkWire;
  TCheckBox *chkNormals;
  TCheckBox *chkSmooth;
  TButton *Button1;
  TButton *Button3;
  TCheckBox *chkMTAnimate;
  TSaveDialog *dlgSave;
  void __fastcall btnStartClick(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall Button2Click(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Button3Click(TObject *Sender);
  void __fastcall Button4Click(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  
private:	// User declarations
  int Pause;
  int close_form;



public:		// User declarations
  __fastcall TFrmMonitor(TComponent* Owner);

  void WaitForDisplay();

  TProcess p;
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmMonitor *FrmMonitor;


double Sphere(double x, double y, double z);
double Genus3(double x, double y, double z);
double Spheres(double x, double y, double z);
double Torus(double x, double y, double z);
double Jack(double x, double y, double z);
//---------------------------------------------------------------------------
#endif
